# Config
stuff="
  /system/app/DejaVuNLPBackend/DejaVuNLPBackend.apk
  /system/app/FDroid/FDroid.apk
  /system/app/LocalGSMNLPBackend/LocalGSMNLPBackend.apk
  /system/app/LocalWiFiNLPBackend/LocalWiFiNLPBackend.apk
  /system/app/MicroGGSFProxy/MicroGGSFProxy.apk
  /system/app/MozillaUnifiedNLPBackend/MozillaUnifiedNLPBackend.apk
  /system/app/NominatimNLPBackend/NominatimNLPBackend.apk

  /system/etc/default-permissions/microg-permissions.xml
  /system/etc/permissions/com.google.android.maps.xml
  /system/etc/permissions/org.fdroid.fdroid.privileged.xml
  /system/etc/sysconfig/nogoolag.xml
  
  /system/framework/com.google.android.maps.jar

  /system/priv-app/AuroraStore/AuroraStore.apk
  /system/priv-app/FakeStore/FakeStore.apk
  /system/priv-app/FDroidPrivileged/FDroidPrivileged.apk
  /system/priv-app/MicroGDroidGuard/MicroGDroidGuard.apk
  /system/priv-app/MicroGGMSCore/MicroGGMSCore.apk
"; 

stuff_arch="
"; 

stuff_sdk="
"; 

stuff_arch_sdk="
"; 

stuff_other="
  /system/etc/permissions/com.google.android.media.effects.xml
  /system/etc/permissions/com.google.widevine.software.drm.xml
  /system/framework/com.google.android.media.effects.jar
  /system/framework/com.google.widevine.software.drm.jar
  /system/priv-app/PatchPhonesky/PatchPhonesky.apk
  /system/lib/libjni_latinimegoogle.so
  /system/lib64/libjni_latinimegoogle.so
  /system/app/GoogleCalendarSyncAdapter/GoogleCalendarSyncAdapter.apk
  /system/app/GoogleContactsSyncAdapter/GoogleContactsSyncAdapter.apk
  /system/etc/permissions/gsync.xml
  /system/priv-app/GoogleBackupTransport/GoogleBackupTransport.apk
";

stuff_old="
  /system/priv-app/DejaVuLocationService/DejaVuLocationService.apk
  /system/priv-app/DejaVuNLPBackend/DejaVuNLPBackend.apk
  /system/priv-app/LocalGSMNLPBackend/LocalGSMNLPBackend.apk
  /system/priv-app/LocalWiFiNLPBackend/LocalWiFiNLPBackend.apk
  /system/priv-app/MicroGGSFProxy/MicroGGSFProxy.apk
  /system/priv-app/MozillaUnifiedNLPBackend/MozillaUnifiedNLPBackend.apk
  /system/priv-app/NominatimNLPBackend/NominatimNLPBackend.apk
";

stuff_uninstall="$stuff $stuff_arch $stuff_sdk $stuff_arch_sdk $stuff_other $stuff_old $initd $addond";

stuff_debloat="
  /system/app/GmsCore/GmsCore.apk
  /system/app/GooglePlay/GooglePlay.apk
  /system/app/GoogleServicesFramework/GoogleServicesFramework.apk
  /system/app/Phonesky/Phonesky.apk
  /system/app/PlayStore/PlayStore.apk
  /system/app/PrebuiltGmsCore/PrebuiltGmsCore.apk
  /system/app/Vending/Vending.apk
  /system/priv-app/GmsCore/GmsCore.apk
  /system/priv-app/GooglePlay/GooglePlay.apk
  /system/priv-app/GoogleServicesFramework/GoogleServicesFramework.apk
  /system/priv-app/Phonesky/Phonesky.apk
  /system/priv-app/PlayStore/PlayStore.apk
  /system/priv-app/PrebuiltGmsCore/PrebuiltGmsCore.apk
  /system/priv-app/Vending/Vending.apk

  /system/app/DroidGuard/DroidGuard.apk
  /system/app/GmsCore/GmsCore.apk
  /system/app/GsfProxy/GsfProxy.apk
  /system/priv-app/DroidGuard/DroidGuard.apk
  /system/priv-app/GmsCore/GmsCore.apk
  /system/priv-app/GsfProxy/GsfProxy.apk
";

perm_dirs=" 
  /system/addon.d 
  /system/app
  /system/etc
  /system/framework
  /system/lib
  /system/lib64
  /system/priv-app
"; 

variant="NoGoolag";
ver="2.1";
verc="210";
date="24th June, 2018";
minsdk=21;

modprop="id=MinMicroG
name=Minimal MicroG Pack $variant Edition
version=$ver
versionCode=$verc
author=MOVZX and FatherJony and FriendlyNeighborhoodShane
description=A Minimal MicroG installer with just the essentials
support=https://t.me/joinchat/FyFlS0X2D7f6YNvdxhEsfw
donate=
minMagisk=1530
";

service="#!/system/bin/sh
sleep 30;
{
for i in 1 2 3; do
  /system/bin/pm grant com.android.vending android.permission.FAKE_PACKAGE_SIGNATURE; 
  sleep 5;
  /system/bin/pm -r install /system/priv-app/MicroGDroidGuard/MicroGDroidGuard.apk; 
  sleep 5;
done;
}
";

addona="#!/sbin/sh 
# 
# MinMicroG addon.d
# Based off osm0sis's addon.d template

. /tmp/backuptool.functions 

save_files() { 
  cat <<EOF 
$stuff $stuff_arch $stuff_sdk $stuff_arch_sdk 
$initd 
$addond
  EOF 
} 

delete_files() { 
  cat <<EOF 
$stuff_debloat
  EOF 
} 
";

addonb='
case "$1" in 
  pre-backup) 
    # Stub 
  ;; 
  backup) 
    save_files | sed s|/system/||g | while read FILE DUMMY; do 
      backup_file $S/"$FILE"; 
    done; 
  ;; 
  post-backup) 
    # Stub 
  ;; 
  pre-restore) 
    # Stub 
  ;; 
  restore) 
    save_files | sed s|/system/||g | while read FILE REPLACEMENT; do 
      R=""; 
      [ -n "$REPLACEMENT" ] && R="$S/$REPLACEMENT"; 
      [ -f "$C/$S/$FILE" ] && restore_file $S/"$FILE" "$R"; 
    done; 
  ;; 
  post-restore) 
    delete_files | sed s|/system/||g | while read FILE DUMMY; do 
      [ -e "$S/$FILE" ] && rm -rf $S/"$FILE"; 
    done; 
  ;; 
esac
';

addon="$addona $addonb";
